# SocketStreamCopyMonitor (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel
Class SocketStreamCopyMonitor

    java.lang.Object
      java.lang.Thread
          net.schmizz.sshj.connection.channel.SocketStreamCopyMonitor

All Implemented Interfaces:
  Runnable

    public class SocketStreamCopyMonitor

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`static void` `monitor(int frequency, TimeUnit unit, Event<IOException> x, Event<IOException> y, Channel channel, Socket socket)`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### monitor

    public static void monitor(int frequency,
                               TimeUnit unit,
                               Event<IOException> x,
                               Event<IOException> y,
                               Channel channel,
                               Socket socket)

Copyright © 2009-2011. All Rights Reserved.